<template>
  <Layout>
  <div id="nav">
  <Logo v-if="showLogo" />
    <span class="item">
<a :href="['../#', $page.post.week.title.split(' ').join('-') ].join('')">{{ $page.post.week.title }}</a>
</span>
  <ToggleTheme />
  </div>

<!--div id="post_nav">
<ToggleTheme />
</div-->

    <div class="post-title">

    <h7 class="post-week__text">
        <!--g-link :to="$page.post.week.path">{{ $page.post.week.title }}</g-link-->
    </h7>

      <h1 class="post-title__text">
        {{ $page.post.title }}
      </h1>

      <!--PostMeta :post="$page.post" /-->

    </div>

    <div class="post read-box">
      <div class="post__header">

        <g-image alt="Cover image" v-if="$page.post.cover_image" :src="$page.post.cover_image" />
      </div>

      <div class="post__content" v-html="$page.post.content" />

      <!--div class="post__footer">
        <PostTags :post="$page.post" />
      </div-->
    </div>

    <div class="post-comments">
      <!-- Add comment widgets here -->
    </div>

    <!--Author class="post-author" /-->
  </Layout>
</template>

<script>
import PostMeta from '~/components/PostMeta'
import PostTags from '~/components/PostTags'
import Author from '~/components/Author.vue'
import Logo from '~/components/Logo.vue'
import ToggleTheme from '~/components/ToggleTheme.vue'

export default {
props: {
  showLogo: { default: true }
},
  components: {
    Author,
    PostMeta,
    PostTags,
    ToggleTheme,
    Logo
  },
  metaInfo () {
    return {
      title: this.$page.post.title,
      meta: [
        {
          name: 'description',
          content: this.$page.post.description
        }
      ]
    }
  },
  mounted(){
  var sections = $('section')
, nav = $('#nav')
, nav_height = nav.outerHeight()
, nav_top = nav.offset().top;

  $(window).on('scroll', function () {
    var cur_pos = $(this).scrollTop();

  if(cur_pos>nav_top){nav.addClass( "sticky" )}
  else{nav.removeClass( "sticky" )}
  })


  }
}
</script>

<page-query>
query Post ($id: ID!) {
  post: post (id: $id) {
    title
    week{
      title
      path
    }
    path
    description
    content
  }
}
</page-query>

<style lang="scss">
.post-title {
  padding: calc(var(--space) / 2) 0 calc(var(--space) / 2);
  text-align: center;
}

.post {

  &__header {
    width: calc(100% + var(--space) * 2);
    margin-left: calc(var(--space) * -1);
    margin-top: calc(var(--space) * -1);
    margin-bottom: calc(var(--space) / 2);
    overflow: hidden;
    border-radius: var(--radius) var(--radius) 0 0;

    img {
      width: 100%;
    }

    &:empty {
      display: none;
    }
  }

  &__content {
    h2:first-child {
      margin-top: 0;
    }

    p:first-of-type {
      font-size: 1.2em;
      color: var(--title-color);
    }

    img {
    display:block;
    max-height: 80vh;
    width: auto!important;
    max-width: 100%!important;
    margin: 0 auto!important;
    }
  }
}

.post-comments {
  padding: calc(var(--space) / 2);

  &:empty {
    display: none;
  }
}

.post-author {
  margin-top: calc(var(--space) / 2);
}



</style>
